Panduan pembalasan.id
Inboxes

Get an inbox

GET
/api/v1/accounts/{account_id}/inboxes/{id}

Get an inbox available in the current account

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the inbox

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/accounts/0/inboxes/0"
{
  "id": 0,
  "name": "string",
  "website_url": "string",
  "channel_type": "string",
  "avatar_url": "string",
  "widget_color": "string",
  "website_token": "string",
  "enable_auto_assignment": true,
  "web_widget_script": "string",
  "welcome_title": "string",
  "welcome_tagline": "string",
  "greeting_enabled": true,
  "greeting_message": "string",
  "channel_id": 0,
  "working_hours_enabled": true,
  "enable_email_collect": true,
  "csat_survey_enabled": true,
  "auto_assignment_config": {},
  "out_of_office_message": "string",
  "working_hours": [
    {
      "day_of_week": 0,
      "closed_all_day": true,
      "open_hour": 0,
      "open_minutes": 0,
      "close_hour": 0,
      "close_minutes": 0,
      "open_all_day": true
    }
  ],
  "timezone": "string",
  "callback_webhook_url": "string",
  "allow_messages_after_resolved": true,
  "lock_to_single_conversation": true,
  "sender_name_type": "string",
  "business_name": "string",
  "hmac_mandatory": true,
  "selected_feature_flags": [
    "string"
  ],
  "reply_time": "string",
  "messaging_service_sid": "string",
  "phone_number": "string",
  "medium": "string",
  "provider": "string"
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}